org.apache.flume.source

## Class SpoolDirectorySourceConfigurationConstants

- java.lang.Object
- - org.apache.flume.source.SpoolDirectorySourceConfigurationConstants

-     public class SpoolDirectorySourceConfigurationConstants
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpoolDirectorySourceConfigurationConstants.ConsumeOrder` Consume order.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASENAME_HEADER` Whether to include the basename of a file in a header.
    `static String` | `BASENAME_HEADER_KEY` Header in which to put the basename of file.
    `static String` | `BATCH_SIZE` What size to batch with before sending to ChannelProcessor.
    `static String` | `BUFFER_MAX_LINE_LENGTH` Deprecated.
    `static String` | `BUFFER_MAX_LINES` Deprecated.
    `static String` | `CONSUME_ORDER`
    `static String` | `DECODE_ERROR_POLICY` What to do when there is a character set decoding error.
    `static boolean` | `DEFAULT_BASENAME_HEADER`
    `static String` | `DEFAULT_BASENAME_HEADER_KEY`
    `static int` | `DEFAULT_BATCH_SIZE`
    `static int` | `DEFAULT_BUFFER_MAX_LINE_LENGTH` Deprecated.
    `static int` | `DEFAULT_BUFFER_MAX_LINES` Deprecated.
    `static SpoolDirectorySourceConfigurationConstants.ConsumeOrder` | `DEFAULT_CONSUME_ORDER`
    `static String` | `DEFAULT_DECODE_ERROR_POLICY`
    `static String` | `DEFAULT_DELETE_POLICY`
    `static String` | `DEFAULT_DESERIALIZER`
    `static boolean` | `DEFAULT_FILE_HEADER`
    `static String` | `DEFAULT_FILENAME_HEADER_KEY`
    `static String` | `DEFAULT_IGNORE_PAT`
    `static String` | `DEFAULT_INCLUDE_PAT`
    `static String` | `DEFAULT_INPUT_CHARSET`
    `static Integer` | `DEFAULT_MAX_BACKOFF`
    `static int` | `DEFAULT_POLL_DELAY`
    `static boolean` | `DEFAULT_RECURSIVE_DIRECTORY_SEARCH`
    `static String` | `DEFAULT_SPOOLED_FILE_SUFFIX`
    `static String` | `DEFAULT_TRACKER_DIR`
    `static String` | `DELETE_POLICY`
    `static String` | `DESERIALIZER` Deserializer to use to parse the file data into Flume Events
    `static String` | `FILENAME_HEADER` Whether to include absolute path filename in a header.
    `static String` | `FILENAME_HEADER_KEY` Header in which to put absolute path filename.
    `static String` | `IGNORE_PAT` Pattern of files to ignore
    `static String` | `INCLUDE_PAT` Pattern of files to include
    `static String` | `INPUT_CHARSET` Character set used when reading the input.
    `static String` | `MAX_BACKOFF`
    `static String` | `POLL_DELAY` Delay(in milliseconds) used when polling for new files.
    `static String` | `RECURSIVE_DIRECTORY_SEARCH` Flag to indicate if we should recursively checking for new files.
    `static String` | `SPOOL_DIRECTORY` Directory where files are deposited.
    `static String` | `SPOOLED_FILE_SUFFIX` Suffix appended to files when they are finished being sent.
    `static String` | `TRACKER_DIR` Directory to store metadata about files being processed

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoolDirectorySourceConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPOOL_DIRECTORY

          public static final String SPOOL_DIRECTORY

      Directory where files are deposited.
      See Also:
        Constant Field Values

    - #### SPOOLED_FILE_SUFFIX

          public static final String SPOOLED_FILE_SUFFIX

      Suffix appended to files when they are finished being sent.
      See Also:
        Constant Field Values

    - #### DEFAULT_SPOOLED_FILE_SUFFIX

          public static final String DEFAULT_SPOOLED_FILE_SUFFIX

      See Also:
        Constant Field Values

    - #### FILENAME_HEADER_KEY

          public static final String FILENAME_HEADER_KEY

      Header in which to put absolute path filename.
      See Also:
        Constant Field Values

    - #### DEFAULT_FILENAME_HEADER_KEY

          public static final String DEFAULT_FILENAME_HEADER_KEY

      See Also:
        Constant Field Values

    - #### FILENAME_HEADER

          public static final String FILENAME_HEADER

      Whether to include absolute path filename in a header.
      See Also:
        Constant Field Values

    - #### DEFAULT_FILE_HEADER

          public static final boolean DEFAULT_FILE_HEADER

      See Also:
        Constant Field Values

    - #### BASENAME_HEADER_KEY

          public static final String BASENAME_HEADER_KEY

      Header in which to put the basename of file.
      See Also:
        Constant Field Values

    - #### DEFAULT_BASENAME_HEADER_KEY

          public static final String DEFAULT_BASENAME_HEADER_KEY

      See Also:
        Constant Field Values

    - #### BASENAME_HEADER

          public static final String BASENAME_HEADER

      Whether to include the basename of a file in a header.
      See Also:
        Constant Field Values

    - #### DEFAULT_BASENAME_HEADER

          public static final boolean DEFAULT_BASENAME_HEADER

      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      What size to batch with before sending to ChannelProcessor.
      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE

          public static final int DEFAULT_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### BUFFER_MAX_LINES

          @Deprecated
          public static final String BUFFER_MAX_LINES

      Deprecated.
      Maximum number of lines to buffer between commits.
      See Also:
        Constant Field Values

    - #### DEFAULT_BUFFER_MAX_LINES

          @Deprecated
          public static final int DEFAULT_BUFFER_MAX_LINES

      Deprecated.
      See Also:
        Constant Field Values

    - #### BUFFER_MAX_LINE_LENGTH

          @Deprecated
          public static final String BUFFER_MAX_LINE_LENGTH

      Deprecated.
      Maximum length of line (in characters) in buffer between commits.
      See Also:
        Constant Field Values

    - #### DEFAULT_BUFFER_MAX_LINE_LENGTH

          @Deprecated
          public static final int DEFAULT_BUFFER_MAX_LINE_LENGTH

      Deprecated.
      See Also:
        Constant Field Values

    - #### INCLUDE_PAT

          public static final String INCLUDE_PAT

      Pattern of files to include
      See Also:
        Constant Field Values

    - #### DEFAULT_INCLUDE_PAT

          public static final String DEFAULT_INCLUDE_PAT

      See Also:
        Constant Field Values

    - #### IGNORE_PAT

          public static final String IGNORE_PAT

      Pattern of files to ignore
      See Also:
        Constant Field Values

    - #### DEFAULT_IGNORE_PAT

          public static final String DEFAULT_IGNORE_PAT

      See Also:
        Constant Field Values

    - #### TRACKER_DIR

          public static final String TRACKER_DIR

      Directory to store metadata about files being processed
      See Also:
        Constant Field Values

    - #### DEFAULT_TRACKER_DIR

          public static final String DEFAULT_TRACKER_DIR

      See Also:
        Constant Field Values

    - #### DESERIALIZER

          public static final String DESERIALIZER

      Deserializer to use to parse the file data into Flume Events
      See Also:
        Constant Field Values

    - #### DEFAULT_DESERIALIZER

          public static final String DEFAULT_DESERIALIZER

      See Also:
        Constant Field Values

    - #### DELETE_POLICY

          public static final String DELETE_POLICY

      See Also:
        Constant Field Values

    - #### DEFAULT_DELETE_POLICY

          public static final String DEFAULT_DELETE_POLICY

      See Also:
        Constant Field Values

    - #### INPUT_CHARSET

          public static final String INPUT_CHARSET

      Character set used when reading the input.
      See Also:
        Constant Field Values

    - #### DEFAULT_INPUT_CHARSET

          public static final String DEFAULT_INPUT_CHARSET

      See Also:
        Constant Field Values

    - #### DECODE_ERROR_POLICY

          public static final String DECODE_ERROR_POLICY

      What to do when there is a character set decoding error.
      See Also:
        Constant Field Values

    - #### DEFAULT_DECODE_ERROR_POLICY

          public static final String DEFAULT_DECODE_ERROR_POLICY

    - #### MAX_BACKOFF

          public static final String MAX_BACKOFF

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_BACKOFF

          public static final Integer DEFAULT_MAX_BACKOFF

    - #### CONSUME_ORDER

          public static final String CONSUME_ORDER

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUME_ORDER

          public static final SpoolDirectorySourceConfigurationConstants.ConsumeOrder DEFAULT_CONSUME_ORDER

    - #### RECURSIVE_DIRECTORY_SEARCH

          public static final String RECURSIVE_DIRECTORY_SEARCH

      Flag to indicate if we should recursively checking for new files. The default is false, so a configuration file entry would be needed to enable this setting
      See Also:
        Constant Field Values

    - #### DEFAULT_RECURSIVE_DIRECTORY_SEARCH

          public static final boolean DEFAULT_RECURSIVE_DIRECTORY_SEARCH

      See Also:
        Constant Field Values

    - #### POLL_DELAY

          public static final String POLL_DELAY

      Delay(in milliseconds) used when polling for new files. The default is 500ms
      See Also:
        Constant Field Values

    - #### DEFAULT_POLL_DELAY

          public static final int DEFAULT_POLL_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpoolDirectorySourceConfigurationConstants

          public SpoolDirectorySourceConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.